# Sources

## Datasets

| Name                                                            | Reference                                                                                                                                                                                                                                                                                                                                                                                  |
|:----------------------------------------------------------------|:-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| [Ethnographic Atlas](datasets/EA)                               | Murdock, G. P., R. Textor, H. Barry, III, D. R. White, J. P. Gray, and W. T. Divale. 1999. Ethnographic Atlas. World Cultures 10:24-136 (codebook)                                                                                                                                                                                                                                         |
| [Binford Hunter-Gatherer](datasets/Binford)                     | Binford, L. 2001. Constructing Frames of Reference: An Analytical Method for Archaeological Theory Building Using Hunter-gatherer and Environmental Data Sets. University of California Press                                                                                                                                                                                              |
| [Standard cross-cultural sample](datasets/SCCS)                 |                                                                                                                                                                                                                                                                                                                                                                                            |
| [Western North American Indian database](datasets/WNAI)         |                                                                                                                                                                                                                                                                                                                                                                                            |
| [Moderate Resolution Imaging Spectroradiometer](datasets/MODIS) | NASA. Net Primary Productivity (1 month - TERRA/MODIS) [Internet]. Available: http://neo.sci.gsfc.nasa.gov/view.php?datasetId=MOD17A2_M_PSN                                                                                                                                                                                                                                                |
| [CRU-TS 3.1 Climate Database](datasets/CRUTS)                   | Harris I, Jones PD, Osborn TJ, Lister DH. Updated high resolution grids of monthly climatic observations–the CRU TS3. 10 Dataset. Int J Climatol. 2014;34: 623–642.                                                                                                                                                                                                                        |
| [Terrestrial Ecoregions of the World](datasets/TEOW)            | Olson, D. M., Dinerstein, E., Wikramanayake, E. D., Burgess, N. D., Powell, G. V. N., Underwood, E. C., D'Amico, J. A., Itoua, I., Strand, H. E., Morrison, J. C., Loucks, C. J., Allnutt, T. F., Ricketts, T. H., Kura, Y., Lamoreux, J. F., Wettengel, W. W., Hedao, P., Kassem, K. R. 2001. Terrestrial ecoregions of the world: a new map of life on Earth. Bioscience 51(11):933-938. |
| [Global 30 Arc-Second Elevation](datasets/GTOPO30)              | LP DAAC (Land Processes Distributed Active Archive Center) USGS/EROS. Global 30 arc-second elevation (GTOPO30): Longterm archive [Internet]. Available: https://lta.cr.usgs.gov/GTOPO30                                                                                                                                                                                                    |
| [Kreft and Jetz 2007](datasets/Kreft)                           | Kreft H, Jetz W. Global patterns and determinants of vascular plant diversity. Proc Natl Acad Sci. 2007;104: 5925–5930.                                                                                                                                                                                                                                                                    |
| [Jenkins et al. 2013](datasets/Jenkins)                         | Jenkins CN, Pimm SL, Joppa LN. Global patterns of terrestrial vertebrate diversity and conservation. Proc Natl Acad Sci. 2013;110: E2602–E2610.                                                                                                                                                                                                                                            |
| [High-resolution Geography Database](datasets/GSHHS)            | Wessel P, Smith, W. H. F. Global Self-consistent, Hierarchical, High-resolution Geography Database (GSHHS) v2.3.4 [Internet]. 2015. Available: https://www.ngdc.noaa.gov/mgg/shorelines/gshhs.html                                                                                                                                                                                         |
## Phylogenies

| Name                                                                           | Reference                                                                                                                                                                                                                                                           |
|:-------------------------------------------------------------------------------|:--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| [Global Classification (Glottolog 3.0)](phylogenies/glottolog_global)          | Hammarström, Harald & Forkel, Robert & Haspelmath, Martin. Glottolog 3.0. 2017. Jena: Max Planck Institute for the Science of Human History. http://glottolog.org/                                                                                                  |
| [Indo-European (Bouckaert et al. 2012)](phylogenies/bouckaert_et_al2012)       | Bouckaert, R. R., Lemey, P., Dunn, M., Greenhill, S. J., Alekseyenko, A. V, Drummond, A. J., Gray, R. D., Suchard, M. A., & Atkinson, Q. D. (2012). Mapping the Origins and Expansion of the Indo-European Language Family. Science, 337(6097), 957-960.            |
| [Pama-Nyungen (Bowern and Atkinson 2012)](phylogenies/bowern_and_atkinson2012) | Bowern, C., & Atkinson, Q. D. (2012). Computational phylogenetics and the internal structure of Pama-Nyungan. Language, 88(4), 817-845.                                                                                                                             |
| [Tukanoan (Chacon & List 2015)](phylogenies/chacon_and_list2015)               | Chacon TC, List J-M (2015) Improved computational models of sound change shed light on the history of the Tukanoan languages. Journal of Language Relationship, 3:177–203.                                                                                          |
| [Indo-European (Chang et al. 2015)](phylogenies/chang_et_al2015)               | Chang W, Cathcart C, Hall D, Garrett A (2015) Ancestry-constrained phylogenetic analysis supports the Indo-European steppe hypothesis. Language, 91(1):194-244.                                                                                                     |
| [Uto-Aztecan (Dunn et al. 2011)](phylogenies/dunn_et_al2011_utoaztecan)        | Dunn, M., Greenhill, S. J., Levinson, S. C., & Gray, R. D. (2011). Evolved structure of language shows lineage-specific trends in word-order universals. Nature, 473(7345), 79-82.                                                                                  |
| [Austronesian (Gray et al. 2009)](phylogenies/gray_et_al2009)                  | Gray, R. D., Drummond, A. J., & Greenhill, S. J. (2009). Language phylogenies reveal expansion pulses and pauses in Pacific settlement. Science, 323(5913), 479-483.                                                                                                |
| [Bantu (Grollemund et al. 2015)](phylogenies/grollemund_et_al2015)             | Grollemund, R., Branford, S., Bostoen, K., Meade, A., Venditti, C., & Pagel, M. (2015). Bantu expansion shows habitat alters the route and pace of human dispersals. Proceedings of the National Academy of Sciences of the USA, 112(43), 13296-13301.              |
| [Uralic (Honkola et al. 2013)](phylogenies/honkola_et_al2013)                  | Honkola T, et al. (2013) Cultural and climatic changes shape the evolutionary history of the Uralic languages. Journal of Evolutionary Biology, 26(6):1244–1253.                                                                                                    |
| [Semitic (Kitchen et al. 2009)](phylogenies/kitchen_et_al2009)                 | Kitchen, A., Ehret, C., Assefa, S., & Mulligan, C. J. (2009). Bayesian phylogenetic analysis of Semitic languages identifies an Early Bronze Age origin of Semitic in the Near East. Proceedings of the Royal Society B: Biological Sciences, 270(1668), 2703-2710. |
| [Japonic (Lee & Hasegawa 2011)](phylogenies/lee_and_hasegawa2011)              | Lee S, Hasegawa T (2011) Bayesian phylogenetic analysis supports an agricultural origin of Japonic languages. Proceedings of the Royal Society B: Biological Sciences, 278(1725):3662–9.                                                                            |
| [Tupi-Guarani (Michael et al. 2015)](phylogenies/michael_et_al2015)            | Michael L, et al. (2015) A Bayesian Phylogenetic Classification of Tupi-Guarani. LIAMES 15(2):1–36.                                                                                                                                                                 |
| [Dene-Yenesian (Sicoli & Holton 2014)](phylogenies/sicoli_and_holton2014)      | Sicoli MA, Holton G (2014) Linguistic phylogenies support back-migration from Beringia to Asia. PLoS One 9(3):e91722.                                                                                                                                               |